export declare type CommonErrors = "GENERIC_ERROR";
export declare type ProgrammerErrors = "MISSING_CONTEXT_PROVIDER" | "TRIED_VERIFY_UNAUTHENTICATED_USER_LOGIN" | "MISSING_ENV_VARIABLE" | "UNAUTHENTICATED_API_CALL" | "MISSING_URL_PARTS";
export declare type InterpreterErrors = "INVALID_TREE" | "MISSING_STARTNODE" | "NO_CURRENT_NODE";
export declare type BuilderErrors = "AUTH_VALIDATION_FAILED" | "WEBSOCKET_CONNECTION_FAILED";
export declare enum APIErrors {
    TREE_NOT_FOUND = 404
}
export declare type ErrorCodes = CommonErrors | ProgrammerErrors | `INTERPRETER_${InterpreterErrors}` | `BUILDER_${BuilderErrors}` | `API_${keyof typeof APIErrors}`;
