"use strict";
var swcHelpers = require("@swc/helpers");
let ODError = class ODError extends Error {
    constructor({ code , additionalData , message  }){
        super(message);
        this.code = code;
        this.timestamp = Date.now();
        this.name = "ODError";
        this.additionalData = additionalData;
    }
};
exports.ODError = ODError;
let ODProgrammerError = class ODProgrammerError extends ODError {
    constructor(_param){
        var { link  } = _param, args = swcHelpers.objectWithoutPropertiesLoose(_param, [
            "link"
        ]);
        super(args);
        this.link = link;
    }
};
exports.ODProgrammerError = ODProgrammerError;
let ODValidationError = class ODValidationError extends ODError {
    constructor(_param){
        var { zodError  } = _param, args = swcHelpers.objectWithoutPropertiesLoose(_param, [
            "zodError"
        ]);
        super(args);
        this.issues = zodError == null ? void 0 : zodError.issues;
    }
};
exports.ODValidationError = ODValidationError;

//# sourceMappingURL=ODError.js.map