"use strict";
exports.createChildNode = void 0;
var swcHelpers = require("@swc/helpers");
var _tree = require("../type-classes/Tree");
var _createNode = require("./createNode");
const createChildNode = (tree)=>(nodeId, newNode)=>{
        const node = (0, _tree).getNode(tree)(nodeId);
        if (!node) return new Error(`The parent node of id ${nodeId} could not be found.`);
        var _edges;
        const numberOfEdges = Object.values((_edges = tree.edges) != null ? _edges : {}).filter((edge)=>edge.source === nodeId
        ).length;
        const position = {
            x: node.position.x + 5 * numberOfEdges,
            y: node.position.y + 80 + 50
        };
        return (0, _createNode).createNode(swcHelpers.extends({}, newNode, {
            position
        }));
    }
;
exports.createChildNode = createChildNode;

//# sourceMappingURL=createChildNode.js.map