"use strict";
exports.createEdge = void 0;
var swcHelpers = require("@swc/helpers");
var _uuid = require("uuid");
var _validators = require("../validators");
const createEdge = (tree)=>(edge)=>{
        if (edge.source === edge.target) return new Error("Ein Knoten kann nicht mit sich selbst verbunden werden.");
        const newEdge = swcHelpers.extends({
            id: (0, _uuid).v4(),
            type: "default"
        }, edge);
        const isEdgeValid = (0, _validators).isValidEdge(tree)(newEdge);
        if (isEdgeValid instanceof Error) return isEdgeValid;
        return newEdge;
    }
;
exports.createEdge = createEdge;

//# sourceMappingURL=createEdge.js.map