import { NewEdgeData } from "../creators";
import { Tree, Edge } from "../type-classes";
/**
 * @summary Adds an edge to the tree under certain conditions.
 * @description
 * This functions adds a new edge if the following conditions are true:
 * - Does not connect to itself
 * - Edge does not already exist
 * - The Edge would not result in a circularly connected tree
 *
 * @param edge - Accepts a partial or full Edge. A partial Edge is used to create a new Edge,
 * while a full Edge is directly added to the Tree.
 */
export declare const addEdge: (tree: Tree.TTree) => (edge: Edge.TEdge) => void;
export declare const createAndAddEdge: (tree: Tree.TTree) => (edge: NewEdgeData) => void | Error;
