import { Tree, Node } from "../type-classes";
import { NewNodeData } from "../creators";
/**
 * @description Always adds a new Node to the tree. There are no rules so this
 * will never fail.
 *
 * @param node - Accepts a partial or full Node. A partial Node is used to create a new Node,
 * while a full Node is directly added to the Tree.
 */
export declare const addNode: (tree: Tree.TTree) => (node: Node.TNode) => void;
export declare const createAndAddNode: (tree: Tree.TTree) => (node: NewNodeData) => void;
