"use strict";
exports.deleteInputs = void 0;
var _deleteConditions = require("./deleteConditions");
var _removeInputFromNode = require("./removeInputFromNode");
const deleteInputs = (tree)=>{
    return (ids)=>{
        ids.forEach((id)=>{
            var ref;
            (ref = tree.inputs) == null ? void 0 : delete ref[id];
            // When an input is deleted it needs to be removed from all Nodes using it.
            for(const nodeId in tree.nodes){
                (0, _removeInputFromNode).removeInputFromNode(tree)(nodeId, id);
            }
            var _conditions;
            // When an Input is deleted all conditions using it need to be removed.
            (0, _deleteConditions).deleteConditions(tree)(Object.values((_conditions = tree.conditions) != null ? _conditions : {}).filter((condition)=>condition.inputId === id
            ).map((condition)=>condition.id
            ));
        });
    };
};
exports.deleteInputs = deleteInputs;

//# sourceMappingURL=deleteInputs.js.map