"use strict";
exports.deleteNodes = void 0;
var _getters = require("../getters");
var _deleteConditions = require("./deleteConditions");
var _deleteEdges = require("./deleteEdges");
var _deleteInputs = require("./deleteInputs");
const deleteNodes = (tree)=>{
    return (ids)=>{
        ids.forEach((id)=>{
            var ref;
            const node = (0, _getters).getNode(tree)(id);
            if (!node) return;
            (ref = tree.nodes) == null ? void 0 : delete ref[id];
            var _edges;
            // When a Node is deleted there cannot be any Edges using this
            // Node as a source or target anymore.
            (0, _deleteEdges).deleteEdges(tree)(Object.values((_edges = tree.edges) != null ? _edges : {}).filter((edge)=>edge.source === id || edge.target === id
            ).map((edge)=>edge.id
            ));
            // When a Node is deleted all its Inputs should also be deleted.
            if (node == null ? void 0 : node.data.inputs) {
                (0, _deleteInputs).deleteInputs(tree)(node == null ? void 0 : node.data.inputs);
            }
            // When a Node is deleted all its Condition should also be deleted.
            if (node == null ? void 0 : node.data.conditions) {
                (0, _deleteConditions).deleteConditions(tree)(node.data.conditions);
            }
        });
    };
};
exports.deleteNodes = deleteNodes;

//# sourceMappingURL=deleteNodes.js.map