import { z } from "zod";
export declare const Answer: z.ZodObject<{
    id: z.ZodString;
    text: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    text: string;
}, {
    id: string;
    text: string;
}>;
export declare const Type: z.ZodObject<{
    id: z.ZodString;
    type: z.ZodEnum<["select"]>;
    answers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        text: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        text: string;
    }, {
        id: string;
        text: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "select";
    id: string;
    answers: {
        id: string;
        text: string;
    }[];
}, {
    type: "select";
    id: string;
    answers: {
        id: string;
        text: string;
    }[];
}>;
export declare const Record: z.ZodRecord<z.ZodString, z.ZodObject<{
    id: z.ZodString;
    type: z.ZodEnum<["select"]>;
    answers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        text: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        text: string;
    }, {
        id: string;
        text: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "select";
    id: string;
    answers: {
        id: string;
        text: string;
    }[];
}, {
    type: "select";
    id: string;
    answers: {
        id: string;
        text: string;
    }[];
}>>;
export declare type TInput = z.infer<typeof Type>;
export declare type TInputsRecord = z.infer<typeof Record>;
export declare type TAnswer = z.infer<typeof Answer>;
