import { z } from "zod";
export declare const Coordinates: z.ZodObject<{
    x: z.ZodNumber;
    y: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    x: number;
    y: number;
}, {
    x: number;
    y: number;
}>;
export declare const Type: z.ZodObject<{
    id: z.ZodString;
    position: z.ZodObject<{
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
    }, {
        x: number;
        y: number;
    }>;
    type: z.ZodLiteral<"customNode">;
    data: z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        content: z.ZodAny;
        inputs: z.ZodArray<z.ZodString, "many">;
        conditions: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    }, {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    type: "customNode";
    data: {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    };
    id: string;
    position: {
        x: number;
        y: number;
    };
}, {
    type: "customNode";
    data: {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    };
    id: string;
    position: {
        x: number;
        y: number;
    };
}>;
export declare const Record: z.ZodRecord<z.ZodString, z.ZodObject<{
    id: z.ZodString;
    position: z.ZodObject<{
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
    }, {
        x: number;
        y: number;
    }>;
    type: z.ZodLiteral<"customNode">;
    data: z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        content: z.ZodAny;
        inputs: z.ZodArray<z.ZodString, "many">;
        conditions: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    }, {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    type: "customNode";
    data: {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    };
    id: string;
    position: {
        x: number;
        y: number;
    };
}, {
    type: "customNode";
    data: {
        name?: string | undefined;
        content?: any;
        inputs: string[];
        conditions: string[];
    };
    id: string;
    position: {
        x: number;
        y: number;
    };
}>>;
export declare type TNode = z.infer<typeof Type>;
export declare type TNodesRecord = z.infer<typeof Record>;
export declare type TNodeData = TNode["data"];
export declare type TCoordinates = z.infer<typeof Coordinates>;
