"use strict";
exports.Record = exports.Type = exports.Coordinates = void 0;
var _zod = require("zod");
const Coordinates = _zod.z.object({
    x: _zod.z.number(),
    y: _zod.z.number()
});
exports.Coordinates = Coordinates;
const Type = _zod.z.object({
    id: _zod.z.string().uuid(),
    position: Coordinates,
    type: _zod.z.literal("customNode"),
    data: _zod.z.object({
        name: _zod.z.string().optional(),
        content: _zod.z.any(),
        inputs: _zod.z.array(_zod.z.string()),
        conditions: _zod.z.array(_zod.z.string())
    })
});
exports.Type = Type;
const Record = _zod.z.record(Type);
exports.Record = Record;

//# sourceMappingURL=Node.js.map