"use strict";
Object.defineProperty(exports, "createAnswer", {
    enumerable: true,
    get: function() {
        return _creators.createAnswer;
    }
});
Object.defineProperty(exports, "createChildNode", {
    enumerable: true,
    get: function() {
        return _creators.createChildNode;
    }
});
Object.defineProperty(exports, "createCondition", {
    enumerable: true,
    get: function() {
        return _creators.createCondition;
    }
});
Object.defineProperty(exports, "createEdge", {
    enumerable: true,
    get: function() {
        return _creators.createEdge;
    }
});
Object.defineProperty(exports, "createInput", {
    enumerable: true,
    get: function() {
        return _creators.createInput;
    }
});
Object.defineProperty(exports, "createNode", {
    enumerable: true,
    get: function() {
        return _creators.createNode;
    }
});
Object.defineProperty(exports, "getCondition", {
    enumerable: true,
    get: function() {
        return _getters.getCondition;
    }
});
Object.defineProperty(exports, "getConditions", {
    enumerable: true,
    get: function() {
        return _getters.getConditions;
    }
});
Object.defineProperty(exports, "getEdge", {
    enumerable: true,
    get: function() {
        return _getters.getEdge;
    }
});
Object.defineProperty(exports, "getInput", {
    enumerable: true,
    get: function() {
        return _getters.getInput;
    }
});
Object.defineProperty(exports, "getInputs", {
    enumerable: true,
    get: function() {
        return _getters.getInputs;
    }
});
Object.defineProperty(exports, "getNode", {
    enumerable: true,
    get: function() {
        return _getters.getNode;
    }
});
Object.defineProperty(exports, "getTree", {
    enumerable: true,
    get: function() {
        return _getters.getTree;
    }
});
Object.defineProperty(exports, "getNodeNames", {
    enumerable: true,
    get: function() {
        return _getters.getNodeNames;
    }
});
Object.defineProperty(exports, "addCondition", {
    enumerable: true,
    get: function() {
        return _mutaters.addCondition;
    }
});
Object.defineProperty(exports, "addEdge", {
    enumerable: true,
    get: function() {
        return _mutaters.addEdge;
    }
});
Object.defineProperty(exports, "addInput", {
    enumerable: true,
    get: function() {
        return _mutaters.addInput;
    }
});
Object.defineProperty(exports, "addInputAnswer", {
    enumerable: true,
    get: function() {
        return _mutaters.addInputAnswer;
    }
});
Object.defineProperty(exports, "addNode", {
    enumerable: true,
    get: function() {
        return _mutaters.addNode;
    }
});
Object.defineProperty(exports, "createAndAddCondition", {
    enumerable: true,
    get: function() {
        return _mutaters.createAndAddCondition;
    }
});
Object.defineProperty(exports, "createAndAddEdge", {
    enumerable: true,
    get: function() {
        return _mutaters.createAndAddEdge;
    }
});
Object.defineProperty(exports, "createAndAddInput", {
    enumerable: true,
    get: function() {
        return _mutaters.createAndAddInput;
    }
});
Object.defineProperty(exports, "createAndAddNode", {
    enumerable: true,
    get: function() {
        return _mutaters.createAndAddNode;
    }
});
Object.defineProperty(exports, "deleteConditions", {
    enumerable: true,
    get: function() {
        return _mutaters.deleteConditions;
    }
});
Object.defineProperty(exports, "deleteEdges", {
    enumerable: true,
    get: function() {
        return _mutaters.deleteEdges;
    }
});
Object.defineProperty(exports, "deleteInputAnswer", {
    enumerable: true,
    get: function() {
        return _mutaters.deleteInputAnswer;
    }
});
Object.defineProperty(exports, "deleteInputs", {
    enumerable: true,
    get: function() {
        return _mutaters.deleteInputs;
    }
});
Object.defineProperty(exports, "deleteNodes", {
    enumerable: true,
    get: function() {
        return _mutaters.deleteNodes;
    }
});
Object.defineProperty(exports, "relateConditionToNode", {
    enumerable: true,
    get: function() {
        return _mutaters.relateConditionToNode;
    }
});
Object.defineProperty(exports, "relateInputToCondition", {
    enumerable: true,
    get: function() {
        return _mutaters.relateInputToCondition;
    }
});
Object.defineProperty(exports, "relateInputToNode", {
    enumerable: true,
    get: function() {
        return _mutaters.relateInputToNode;
    }
});
Object.defineProperty(exports, "removeInputFromNode", {
    enumerable: true,
    get: function() {
        return _mutaters.removeInputFromNode;
    }
});
Object.defineProperty(exports, "updateEdgeTarget", {
    enumerable: true,
    get: function() {
        return _mutaters.updateEdgeTarget;
    }
});
Object.defineProperty(exports, "updateInputAnswer", {
    enumerable: true,
    get: function() {
        return _mutaters.updateInputAnswer;
    }
});
Object.defineProperty(exports, "updateInputAnswerOrder", {
    enumerable: true,
    get: function() {
        return _mutaters.updateInputAnswerOrder;
    }
});
Object.defineProperty(exports, "updateNodeContent", {
    enumerable: true,
    get: function() {
        return _mutaters.updateNodeContent;
    }
});
Object.defineProperty(exports, "updateNodeName", {
    enumerable: true,
    get: function() {
        return _mutaters.updateNodeName;
    }
});
Object.defineProperty(exports, "updateNodePosition", {
    enumerable: true,
    get: function() {
        return _mutaters.updateNodePosition;
    }
});
Object.defineProperty(exports, "updateStartNode", {
    enumerable: true,
    get: function() {
        return _mutaters.updateStartNode;
    }
});
Object.defineProperty(exports, "isValidEdge", {
    enumerable: true,
    get: function() {
        return _validators.isValidEdge;
    }
});
exports.createTreeMethods = createTreeMethods;
exports.Type = void 0;
var _zod = require("zod");
var Condition = require("./Condition");
var Edge = require("./Edge");
var Input = require("./Input");
var Node = require("./Node");
var _creators = require("../creators");
var _getters = require("../getters");
var _mutaters = require("../mutaters");
var _utils = require("../utils");
var _validators = require("../validators");
const Type = _zod.z.object({
    startNode: _zod.z.string().optional(),
    nodes: Node.Record.optional(),
    edges: Edge.Record.optional(),
    inputs: Input.Record.optional(),
    conditions: Condition.Record.optional()
});
exports.Type = Type;
function createTreeMethods(tree) {
    return {
        addCondition: (0, _mutaters).addCondition(tree),
        addEdge: (0, _mutaters).addEdge(tree),
        addInput: (0, _mutaters).addInput(tree),
        addInputAnswer: (0, _mutaters).addInputAnswer(tree),
        addInputToCondition: (0, _mutaters).relateInputToCondition(tree),
        addNode: (0, _mutaters).addNode(tree),
        createAndAddCondition: (0, _mutaters).createAndAddCondition(tree),
        createAndAddEdge: (0, _mutaters).createAndAddEdge(tree),
        createAndAddInput: (0, _mutaters).createAndAddInput(tree),
        createAndAddNode: (0, _mutaters).createAndAddNode(tree),
        createAnswer: _creators.createAnswer,
        createChildNode: (0, _creators).createChildNode(tree),
        createCondition: _creators.createCondition,
        createEdge: (0, _creators).createEdge(tree),
        createInput: _creators.createInput,
        createNode: _creators.createNode,
        deleteConditions: (0, _mutaters).deleteConditions(tree),
        deleteEdges: (0, _mutaters).deleteEdges(tree),
        deleteInputAnswer: (0, _mutaters).deleteInputAnswer(tree),
        deleteInputs: (0, _mutaters).deleteInputs(tree),
        deleteNodes: (0, _mutaters).deleteNodes(tree),
        getChildren: (0, _utils).getChildren(tree),
        getCondition: (0, _getters).getCondition(tree),
        getConditions: (0, _getters).getConditions(tree),
        getConnectableNodes: (0, _utils).getConnectableNodes(tree),
        getEdge: (0, _getters).getEdge(tree),
        getInput: (0, _getters).getInput(tree),
        getInputs: (0, _getters).getInputs(tree),
        getNode: (0, _getters).getNode(tree),
        getNodeNames: (0, _getters).getNodeNames(tree),
        getParents: (0, _utils).getParents(tree),
        getPaths: (0, _utils).getPaths(tree),
        getTree: (0, _getters).getTree(tree),
        isCircular: (0, _utils).isCircular(tree),
        isValidEdge: (0, _validators).isValidEdge(tree),
        relateConditionToNode: (0, _mutaters).relateConditionToNode(tree),
        relateInputToNode: (0, _mutaters).relateInputToNode(tree),
        removeInputFromNode: (0, _mutaters).removeInputFromNode(tree),
        updateEdgeTarget: (0, _mutaters).updateEdgeTarget(tree),
        updateInputAnswer: (0, _mutaters).updateInputAnswer(tree),
        updateInputAnswerOrder: (0, _mutaters).updateInputAnswerOrder(tree),
        updateNodeContent: (0, _mutaters).updateNodeContent(tree),
        updateNodeName: (0, _mutaters).updateNodeName(tree),
        updateNodePosition: (0, _mutaters).updateNodePosition(tree),
        updateStartNode: (0, _mutaters).updateStartNode(tree)
    };
}

//# sourceMappingURL=Tree.js.map