"use strict";
exports.createAdjacencyList = createAdjacencyList;
exports.depthFirstSearch = depthFirstSearch;
exports.getPaths = void 0;
function createAdjacencyList(array) {
    const adjacencyList = {};
    array.forEach(({ source , target  })=>{
        // If there is no key for this sourceNode yet; add it with a value of an empty array.
        if (!adjacencyList[source]) adjacencyList[source] = [];
        if (!adjacencyList[target]) adjacencyList[target] = [];
        // Push the sourceNodeId to the targets array.
        adjacencyList[target].push(source);
    });
    return adjacencyList;
}
function depthFirstSearch(startId, adjacencyList) {
    const result = [];
    let path = [];
    const visited = {};
    (function depthFirstSearch1(id) {
        var ref;
        visited[id] = true;
        path.push(id);
        (ref = adjacencyList[id]) == null ? void 0 : ref.forEach((neighbors)=>{
            if (!visited[neighbors]) {
                return depthFirstSearch1(neighbors);
            }
        });
        if (path.length > 1) result.push(path);
        path = [
            startId
        ];
    })(startId);
    return result;
}
const getPaths = (tree)=>(nodeId)=>{
        var _edges;
        const adjacencyList = createAdjacencyList(Object.values((_edges = tree.edges) != null ? _edges : {}));
        return depthFirstSearch(nodeId, adjacencyList);
    }
;
exports.getPaths = getPaths;

//# sourceMappingURL=getPaths.js.map